summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorManuel Rüger <mrueg@gentoo.org>2016-02-21 12:02:58 +0100
committerManuel Rüger <mrueg@gentoo.org>2016-02-21 12:02:58 +0100
commit6f8e9696d11eb97fa6ce80c43b7d7fad2a1885f9 (patch)
treef785ef61a8054dd6343627da8edbe41a55b11924 /dev-ruby
parentdev-libs/link-grammar: Fix java dependency and ensure all phases from eclasse... (diff)
downloadgentoo-6f8e9696d11eb97fa6ce80c43b7d7fad2a1885f9.tar.gz
gentoo-6f8e9696d11eb97fa6ce80c43b7d7fad2a1885f9.tar.bz2
gentoo-6f8e9696d11eb97fa6ce80c43b7d7fad2a1885f9.zip
dev-ruby/octokit: Initial version
Package-Manager: portage-2.2.27
Diffstat (limited to 'dev-ruby')
-rw-r--r--dev-ruby/octokit/Manifest1
-rw-r--r--dev-ruby/octokit/metadata.xml11
-rw-r--r--dev-ruby/octokit/octokit-4.2.0.ebuild32
3 files changed, 44 insertions, 0 deletions
diff --git a/dev-ruby/octokit/Manifest b/dev-ruby/octokit/Manifest
new file mode 100644
index 00000000000..54f5ea572c9
--- /dev/null
+++ b/dev-ruby/octokit/Manifest
@@ -0,0 +1 @@
+DIST octokit-4.2.0.tar.gz 2740295 SHA256 af4853f022677fd1c344e20d396912a3783f6bd43fffc9b608d9c4218eebcef8 SHA512 5b596da5c2b6bff4cbef3c3faa57a341e7e46dffa8b16d81072b567a5827138ce173a13c1054719853aaf821ad8f5ef8c7e1f666769f3a1e538ef886e64dc1c4 WHIRLPOOL 781bf01f770ee42568ce8278787542dc8840c7dc489042a1d52cb3c59e5ccf13cd3d8269ddc5f9443447060b10c0fd56c89218c1dfdd02c4989e3d20c0c6ebf8
diff --git a/dev-ruby/octokit/metadata.xml b/dev-ruby/octokit/metadata.xml
new file mode 100644
index 00000000000..fd61014adc3
--- /dev/null
+++ b/dev-ruby/octokit/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>ruby@gentoo.org</email>
+ <name>Gentoo Ruby Project</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="github">octokit/octokit.rb</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-ruby/octokit/octokit-4.2.0.ebuild b/dev-ruby/octokit/octokit-4.2.0.ebuild
new file mode 100644
index 00000000000..a16dcf84ca9
--- /dev/null
+++ b/dev-ruby/octokit/octokit-4.2.0.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+USE_RUBY="ruby20 ruby21 ruby22"
+
+RUBY_FAKEGEM_RECIPE_DOC="yard"
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+RUBY_FAKEGEM_EXTRADOC="README.md CONTRIBUTING.md"
+
+inherit multilib ruby-fakegem
+
+DESCRIPTION="Ruby toolkit for the Github API"
+HOMEPAGE="https://github.com//octokit/octokit.rb"
+SRC_URI="https://github.com/octokit/octokit.rb/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+RUBY_S=octokit.rb-${PV}
+
+ruby_add_rdepend ">=dev-ruby/sawyer-0.5.3"
+ruby_add_bdepend "test? ( >=dev-ruby/netrc-0.7.7
+ dev-ruby/vcr:2
+ >=dev-ruby/webmock-1.9 )"
+
+all_ruby_prepare() {
+ sed -i -e "1,10d" -e "/require 'vcr'/i\gem 'vcr', '~> 2.9.2'" spec/helper.rb || die
+}